CADDY-UNTRUST(1)

NAME

caddy-untrust - Untrusts a locally-trusted CA certificate

SYNOPSIS

caddy untrust [--ca <id> | --cert <path>]

DESCRIPTION

Untrusts a root certificate from the local trust store(s). Intended for development environments only. This command uninstalls trust; it does not necessarily delete the root certificate from trust stores entirely. Thus, repeatedly trusting and untrusting new certificates can fill up trust databases. This command does not delete or modify certificate files. Specify which certificate to untrust either by the ID of its CA with the --ca flag, or the direct path to the certificate file with the --cert flag. If the --ca flag is used, only the default storage paths are assumed (i.e. using --ca flag with custom storage backends or file paths will not work). If no flags are specified, --ca=local is assumed.

OPTIONS

--ca
    The ID of the CA to untrust

--cert
    The path to the CA certificate to untrust

SEE ALSO

caddy-adapt(1), caddy-caddy(1), caddy-environ(1), caddy-file-server(1), caddy-fmt(1), caddy-hash-password(1), caddy-help(1), caddy-list-modules(1), caddy-man(1), caddy-reload(1), caddy-reverse-proxy(1), caddy-run(1), caddy-start(1), caddy-stop(1), caddy-trust(1), caddy-validate(1), caddy-version(1), caddy(1)

DOCUMENTATION

Full documentation is available at: https://caddyserver.com/docs/

VERSION

2.4.5-1

BUGS

Report Bugs to: https://github.com/caddyserver/caddy

COPYRIGHT

(c) Matthew Holt and The Caddy Authors